#pragma once

#include <linux/init.h>
#include <linux/module.h>
#include <linux/device.h>
#include <linux/kernel.h>
#include <linux/uaccess.h>
#include <linux/fs.h>
#include <linux/ioctl.h>
#include <linux/poll.h>
#include <linux/cdev.h>
#include <linux/slab.h>
#include <linux/wait.h>
#include <linux/sched.h>
#include <linux/ctype.h>
#include <asm/uaccess.h>
#include <asm/ioctls.h>

#ifdef CONFIG_ARM
#	include <asm/cacheflush.h>
#endif

#pragma GCC diagnostic ignored "-Wundef"
#pragma GCC diagnostic ignored "-Wmultichar"

#define ASSERT(condition) BUG_ON (!(condition))

#if (((__GNUC__ << 8) | __GNUC_MINOR__) >= 0x0409)
#	pragma GCC diagnostic ignored "-Wdate-time"
#endif
